/**************************************************************************
*  源程序名：SynTask6_1_1.cpp                  　　　　                   *
*  功能：从键盘输入一个字符串，输出其中数字字符的个数。要求用自定义函数   *
*        int isdigit(char ch)实现数字字符的判断功能。主函数完成输入、输   *
*         出功能。                                                        *
***************************************************************************/
#include <iostream.h>
int isdigit(char ch);//函数原型声明
void main()
{
	char str[256];
	cout<<"请输入一个字符串：";
	cin>>str;
	int i=0,count=0;
	while (str[i]!='\0')
	{
		if (isdigit(str[i])==1)//在主函数中调用isdigit()函数进行判断
			count++;
		i++;
	}
	cout<<"字符串中有"<<count<<"个数字字符。"<<endl;
}
int isdigit(char ch)//自定义函数，实现对数字字符的判断
{
	int flag;//flag为标志变量，值为1，代表是数字字符，值为0，代表不是数字字符
	if (ch>='0' && ch<='9')
		flag=1;
	else
		flag=0;
	return flag;//返回值
}